## arcp 0.2.1

=== requirements.txt ===
wheel
sphinx
pytest

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = arcp
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
arcp (0.2.1-7) unstable; urgency=medium

  * Test using pytest, like upstream does.
  * Added patch for recent Python versions. Closes: #1081857
  * Testsuite: autopkgtest-pkg-pybuild
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Dec 2024 15:38:56 +0100

arcp (0.2.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 20:01:31 +0100

arcp (0.2.1-5) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 21:49:27 +0100

arcp (0.2.1-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 07:53:43 +0100

arcp (0.2.1-3) unstable; urgency=medium

  * Team upload.
  * Add copyright years for the upstream source
    Closes: #954940

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 16:53:51 +0100

arcp (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 08:28:11 +0100

arcp (0.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #915829)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 12 Feb 2020 14:52:23 +0100

=== debian/control ===
Source: arcp
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/arcp
Vcs-Git: https://salsa.debian.org/python-team/packages/arcp.git
Homepage: https://arcp.readthedocs.io/
Rules-Requires-Root: no

Package: python3-arcp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: (Archive and Package) URI parser and generator
 arcp provides functions for creating arcp_ URIs,
 which can be used for identifying or parsing hypermedia
 files packaged in an archive or package, like a ZIP file.
 .
 arcp URIs can be used to consume or reference hypermedia resources
 bundled inside a file archive or an application package, as well as
 to resolve URIs for archive resources within a programmatic framework.
 .
 This URI scheme provides mechanisms to generate a unique base URI
 to represent the root of the archive, so that relative URI references
 in a bundled resource can be resolved within the archive without having to
 extract the archive content on the local file system.
 .
 An arcp URI can be used for purposes of isolation (e.g. when consuming
 multiple archives), security constraints (avoiding “climb out” from the
 archive), or for externally identiyfing sub-resources referenced by
 hypermedia formats.
 .
 Examples:
  - ``arcp://uuid,32a423d6-52ab-47e3-a9cd-54f418a48571/doc.html``
  - ``arcp://uuid,b7749d0b-0e47-5fc4-999d-f154abe68065/pics/``
  - ``arcp://ni,sha-256;F-34D4TUeOfG0selz7REKRDo4XePkewPeQYtjL3vQs0/``
  - ``arcp://name,gallery.example.org/``
 .
 The different forms of URI authority_ in arcp URIs can be used depending
 on which uniqueness constraints to apply when addressing an archive.
 See the arcp specification
 (https://tools.ietf.org/html/draft-soilandreyes-arcp-02) for details.
 .
 Note that this library only provides mechanisms to
  *generate* and *parse* arcp URIs, and do *not* integrate with any
 particular archive or URL handling modules like
 "zipfile" or "urllib.request".

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=arcp
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/arcp/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/arcp/arcp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
